<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1508343675327</Property>
		<Property name="ISWorkflowName">VAM_api_main_newSession</Property>
		<Property name="ISModuleName">VAM_api_assign</Property>
		<Property name="ISModuleId">574180</Property>
		<Property name="ISProcessId">3023966</Property>
		<Property name="ISUserName">root</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">3023966</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;startTimestamp>1508343675326&lt;/startTimestamp>&lt;/session></Property>
		<Property name="var.log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>  
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.session" as="element()"/>  
  &lt;xsl:template match="/"> 
    &lt;queries alertTimeout="600" queryTimeout="1800"> 
      &lt;query properties="force" queryID="optimize_api">
        &lt;value>&lt;xsl:choose>&lt;xsl:when test="$databaseType = &amp;quot;postgresql&amp;quot;">begin; end&lt;/xsl:when>&lt;xsl:when test="$databaseType = &amp;quot;mssql&amp;quot;">&lt;xsl:text>BEGIN
/* nichts nur für API-Anteile, da alles in einem Catalog ist */
DECLARE
         @db_null_statement int;
END;&lt;/xsl:text>&lt;/xsl:when>&lt;xsl:otherwise>begin
  ctx_ddl.optimize_index('org_ctx', 'rebuild');
  ctx_ddl.optimize_index('use_ctx', 'rebuild');
end;&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/value>
      &lt;/query>&lt;query properties="force" queryID="optimize_am">
        &lt;value>&lt;xsl:choose>&lt;xsl:when test="$databaseType = &amp;quot;postgresql&amp;quot;">begin; end&lt;/xsl:when>&lt;xsl:when test="$databaseType = &amp;quot;mssql&amp;quot;">&lt;xsl:text>BEGIN
ALTER FULLTEXT CATALOG ftAssetCatalog REORGANIZE;
END;&lt;/xsl:text>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:text>begin
  ctx_ddl.optimize_index('ass_ctx', 'rebuild');
  ctx_ddl.optimize_index('ass_ctx_versionedAttr', 'rebuild');
  ctx_ddl.optimize_index('ass_ctx_unversionedAttr', 'rebuild');
  ctx_ddl.optimize_index('ass_cus_ctx', 'rebuild');
  
  ctx_ddl.optimize_index('que_ctx', 'rebuild');

  ctx_ddl.optimize_index('tem_ctx_versionedAttr', 'rebuild');
  ctx_ddl.optimize_index('tem_ctx_unversionedAttr', 'rebuild');
  ctx_ddl.optimize_index('tem_lab_ctx', 'rebuild');
end;&lt;/xsl:text>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/value>
      &lt;/query>  
    &lt;/queries>
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>